### Method

# FwupdPlugin Device get_backend_id

since: 1.5.8

#### Declaration [src]

    const gchar*
    fu_device_get_backend_id (
      FuDevice* self
    )

#### Description [src]

Gets the ID set for the device as recognized by the backend. This is typically a Linux sysfs path or USB platform ID. If unset, it also falls back to the physical ID as this may be the same value.

Available since: 1.5.8

Gets property | `FwupdPlugin.Device:backend-id`

#### Return value

Type: `const gchar*`

A string value, or `NULL` if never set.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.